From fed7cc4f95e196f68251bcb9253da3b143ea8e7e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Alex=20Gr=C3=B6nholm?= <alex.gronholm@nextday.fi>
Date: Mon, 7 Feb 2022 00:16:18 +0200
Subject: [PATCH] Upgraded pytest to 7.0

---
 setup.cfg                   |  2 +-
 tests/test_pytest_plugin.py | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/tests/test_pytest_plugin.py b/tests/test_pytest_plugin.py
index 4255702..f3b0e0c 100644
--- a/tests/test_pytest_plugin.py
+++ b/tests/test_pytest_plugin.py
@@ -1,5 +1,5 @@
 import pytest
-from _pytest.pytester import Testdir
+from _pytest.pytester import Pytester
 
 from anyio import get_all_backends
 
@@ -9,7 +9,7 @@ pytestmark = pytest.mark.filterwarnings(
 pytest_args = '-v', '-p', 'anyio', '-p', 'no:asyncio'
 
 
-def test_plugin(testdir: Testdir) -> None:
+def test_plugin(testdir: Pytester) -> None:
     testdir.makeconftest(
         """
         import sniffio
@@ -67,7 +67,7 @@ def test_plugin(testdir: Testdir) -> None:
     result.assert_outcomes(passed=3 * len(get_all_backends()), skipped=len(get_all_backends()))
 
 
-def test_asyncio(testdir: Testdir) -> None:
+def test_asyncio(testdir: Pytester) -> None:
     testdir.makeconftest(
         """
         import asyncio
@@ -140,7 +140,7 @@ def test_asyncio(testdir: Testdir) -> None:
     result.assert_outcomes(passed=2, failed=1, errors=2)
 
 
-def test_autouse_async_fixture(testdir: Testdir) -> None:
+def test_autouse_async_fixture(testdir: Pytester) -> None:
     testdir.makeconftest(
         """
         import pytest
@@ -177,7 +177,7 @@ def test_autouse_async_fixture(testdir: Testdir) -> None:
     result.assert_outcomes(passed=len(get_all_backends()))
 
 
-def test_cancel_scope_in_asyncgen_fixture(testdir: Testdir) -> None:
+def test_cancel_scope_in_asyncgen_fixture(testdir: Pytester) -> None:
     testdir.makepyfile(
         """
         import pytest
@@ -204,7 +204,7 @@ def test_cancel_scope_in_asyncgen_fixture(testdir: Testdir) -> None:
     result.assert_outcomes(passed=len(get_all_backends()))
 
 
-def test_hypothesis_module_mark(testdir: Testdir) -> None:
+def test_hypothesis_module_mark(testdir: Pytester) -> None:
     testdir.makepyfile(
         """
         import pytest
@@ -235,7 +235,7 @@ def test_hypothesis_module_mark(testdir: Testdir) -> None:
     result.assert_outcomes(passed=len(get_all_backends()) + 1, xfailed=len(get_all_backends()))
 
 
-def test_hypothesis_function_mark(testdir: Testdir) -> None:
+def test_hypothesis_function_mark(testdir: Pytester) -> None:
     testdir.makepyfile(
         """
         import pytest
-- 
2.35.1

